﻿/*
Copyright(c) 2017 株式会社トラスト・ソフトウェア・システム
無断転載を禁止します。
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImagerApp
{
	public partial class ThreadDlg : Form
	{
		public int threads;
		public bool split;
		public bool each;

		public ThreadDlg()
		{
			InitializeComponent();
			threads = Environment.ProcessorCount;
		}

		private void ThreadDlg_Load(object sender, EventArgs e)
		{
			splitChk.Checked = split;
			eachChk.Checked = each;
			threadCountTxt.Text = threads.ToString();
			cpuCountLbl.Text = "現在の論理CPU数: " + Environment.ProcessorCount.ToString();
		}

		private void OKBtn_Click(object sender, EventArgs e)
		{
			split = splitChk.Checked;
			each = eachChk.Checked;
			threads = int.Parse(threadCountTxt.Text);
		}
	}
}
