Attribute VB_Name = "MlpModule"
'
'   PDF Imager-LP
'
' Copyright(c)ЃgXgE\tgEFAEVXe,All Rights Reserved.
'

Public Declare Function MlpInitialize Lib "PdfImagerLP.dll" Alias "MlpInitializeA" (ByVal license As String) As Long
Public Declare Function MlpLoadInitFile Lib "PdfImagerLP.dll" Alias "MlpLoadInitFileA" (ByVal fileName As String) As Long
Public Declare Function MlpLicenseInfoStr Lib "PdfImagerLP.dll" Alias "MlpLicenseInfoStrA" (ByVal licenseString As String) As Long
Public Declare Function MlpOpenDoc Lib "PdfImagerLP.dll" Alias "MlpOpenDocA" (ByVal fileName As String, ByVal opw As String, ByVal upw As String) As Long
Public Declare Sub MlpCloseDoc Lib "PdfImagerLP.dll" ()
Public Declare Sub MlpUninitialize Lib "PdfImagerLP.dll" ()
Public Declare Function MlpPageCount Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpPageToPict Lib "PdfImagerLP.dll" Alias "MlpPageToPictA" (ByVal pageNum As Long, ByVal dpi As Long, ByVal quality As Long, ByVal outputFile As String) As Long
Public Declare Function MlpCreatePict Lib "PdfImagerLP.dll" Alias "MlpCreatePictA" (ByVal pageNumber As Long, ByVal outputFilePath As String) As Long
Public Declare Function MlpConvertToTiff Lib "PdfImagerLP.dll" Alias "MlpConvertToTiffA" (ByVal outputFilePath As String) As Long
Public Declare Function MlpRangeToTiff Lib "PdfImagerLP.dll" Alias "MlpRangeToTiffA" (ByVal startPageNum As Long, ByVal endPageNum As Long, ByVal dpi As Long, ByVal outputFilePath As String) As Long
Public Declare Function MlpCreateTiffRange Lib "PdfImagerLP.dll" Alias "MlpCreateTiffRangeA" (ByVal startPageNum As Long, ByVal endPageNum As Long, ByVal outputFilePath As String) As Long
Public Declare Function MlpMutiPageToTiff Lib "PdfImagerLP.dll" Alias "MlpMutiPageToTiffA" (ByVal PageList As String, ByVal dpi As Long, ByVal outputFilePath As String) As Long
Public Declare Function MlpCreateTiffMulti Lib "PdfImagerLP.dll" Alias "MlpCreateTiffMultiA" (ByVal PageList As String, ByVal outputFilePath As String) As Long
Public Declare Function MlpGetPicturePixel Lib "PdfImagerLP.dll" (ByVal pageNum As Long, ByRef x As Long, ByRef y As Long) As Long
Public Declare Function MlpGetPicturePixelX Lib "PdfImagerLP.dll" (ByVal pageNum As Long) As Long
Public Declare Function MlpGetPicturePixelY Lib "PdfImagerLP.dll" (ByVal pageNum As Long) As Long
Public Declare Function MlpSetPictureRGB Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureGray Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureDither Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureBW Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureFaxG3 Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureFaxG4 Lib "PdfImagerLP.dll" () As Long
Public Declare Function MlpSetPictureSize Lib "PdfImagerLP.dll" (ByVal x As Long, ByVal y As Long, ByVal unit As Long) As Long
Public Declare Function MlpSetPictureBufSize Lib "PdfImagerLP.dll" (ByVal mb As Long) As Long
Public Declare Function MlpSetPictureResolution Lib "PdfImagerLP.dll" (ByVal dpi As Long) As Long
Public Declare Function MlpSetPictureQuality Lib "PdfImagerLP.dll" (ByVal quality As Long) As Long
Public Declare Function MlpSetCanvasSize Lib "PdfImagerLP.dll" (ByVal x As Long, ByVal y As Long) As Long
Public Declare Function MlpSetCallbackFunc Lib "PdfImagerLP.dll" (ByVal mode As Long, ByVal opt As Long, ByVal fnc As Long) As Long
Public Declare Function MlpSetTiffCompress Lib "PdfImagerLP.dll" (ByVal mode As Long) As Long
Public Declare Function MlpSetPicture Lib "PdfImagerLP.dll" Alias "MlpSetPicturec" (ByVal cmd As Long, Optional ByVal val As Long = 0) As Long

'Enum
Public Enum PictureOpt
    MPL_PICTURE_RGB = 0         'RGBJ[
    MLP_PICTURE_GRAY = 1        'O[XP[
    MLP_PICTURE_DITHER = 2      'QlfBU
    MLP_PICTURE_BW = 3          'Ql
    MLP_PICTURE_FAXG3 = 4       'CCITT Group 3 FAX
    MLP_PICTURE_FAXG4 = 5       'CCITT Group 4 FAX

    MLP_COMPRESS_NONE = 6       'TIFFϊ̏ꍇɈkȂ
    MLP_COMPRESS_JPEG = 7       'TIFFϊ̏ꍇJPEGk
    MLP_COMPRESS_DEFLATE = 8    'TIFFϊ̏ꍇDeflatek
    MLP_COMPRESS_LZW = 9        'TIFFϊ̏ꍇLZWk

    MLP_JPEG_QUALITY = 10       'JPEGk̉摜i

    MLP_RESOLUTION_DPI = 11     'XDPI,YDPIol̉𑜓x
    MLP_RESOLUTION_XDPI = 12    'XDPI 𑜓x
    MLP_RESOLUTION_YDPI = 13    'YDPI 𑜓x
    MLP_CANVAS_XY = 14          'LoXTCY XYow
    MLP_CANVAS_X = 15           'LoXTCY X-݂̂w
    MLP_CANVAS_Y = 16           'LoXTCY Y-݂̂w
    MLP_PICTURE_XSIZE = 17      '_TCYw
    MLP_PICTURE_YSIZE = 18      '_TCYw
    MLP_PICTURE_SIZE_UNIT = 19  '_TCY̒P
End Enum

'CallbackSetiongMode
Public Const MLP_RENDERING_CB As Long = 1 'y[W̉͏I / _O̊Jnm点R[obNw
Public Const MLP_PROGRESS_CB As Long = 2  'w肵s̃_Oi摜i[jIƂm点R[obNw

'PictureSizeUnit
Public Const MLP_PICTURE_UNIT_PERCENT As Long = 1  'p[Zg
Public Const MLP_PICTURE_UNIT_INCH As Long = 2     'C`
Public Const MLP_PICTURE_UNIT_MM As Long = 3       '~[g

'TiffCompressMode
Public Const MLP_TIFF_COMPRESS_NONE = 0     'TIFFϊňkȂ
Public Const MLP_TIFF_COMPRESS_JPEG = 1     'TIFFϊJPEGk
Public Const MLP_TIFF_COMPRESS_DEFLATE = 2  'TIFFϊDeflatek
Public Const MLP_TIFF_COMPRESS_LZW = 3      'TIFFϊLZWk

'Error Code
Public Const MLP_NO_ERROR = 0
Public Const MLP_ALREADY_INITIALIZED = -1   'ɏĂ܂
Public Const MLP_NOT_INITIALIZED = -2       'ł܂łB܂́AĂ܂
Public Const MLP_INIT_FILE_OPEN_ERROR = -3  't@Cǂ߂܂
Public Const MLP_LICENSE_ERROR = -4         'sȃCZXł
Public Const MLP_ALREADY_OPENED = -5        'ɃI[vĂ܂
Public Const MLP_FILE_OPEN_ERROR = -6       'I[vł܂
Public Const MLP_IS_NOT_PDF = -7            'PDFł͂Ȃ悤ł
Public Const MLP_FILE_NOT_DECRYPTED = -8    'ł܂
Public Const MLP_FILE_NOT_OPENED = -9       'I[vĂ܂
Public Const MLP_OPEN_ERROR = -10           'I[vŃG[
Public Const MLP_PDF_PARSE_ERROR = -11      'PDF̉̓G[
Public Const MLP_PDF_HAS_NOT_PAGE = -12     'PDFɃy[W܂
Public Const MLP_INVALID_PAGE_NUMBER = -13  'ȃy[Wԍ ܂́Aȃy[Ww
Public Const MLP_INVALID_RESOLUTION = -14   'ȉ𑜓x
Public Const MLP_INVALID_QUALITY = -15      'JPEGi
Public Const MLP_NO_OUTPUT_FILE = -16       'o̓t@C܂
Public Const MLP_TOO_LARGE_PIXEL = -17      'sNZ }bv傫܂
Public Const MLP_DRAW_ERROR = -18           '`̈mۂɎsB܂́A摜̏oɎs܂
Public Const MLP_MEMORY_ERROR = -20         '[̈mۂł܂
Public Const MLP_INVALID_CANVAS_SIZE = -22  'ȃLoXTCY
Public Const MLP_INVALID_ARG_VALUE = -22    'Ȉ̒l
Public Const MLP_INVALID_PICT_TYPE = -23    'ȉ摜`
